%define major	6
%define liblept	%mklibname %{name} %{major}
%define devlept	%mklibname %{name} -d

%bcond_without	prog

Name:		leptonica
Version:	1.85.0
Release:	%mkrel 1
Summary:	C library for image processing and analysis
License:	Leptonica
Group:		Graphics/Utilities
URL:		http://www.leptonica.org/
Source0:	https://github.com/DanBloomberg/%{name}/releases/download/%{version}/%{name}-%{version}.tar.gz
# From fedora
Patch0:		leptonica_cmake.patch

BuildRequires:	cmake
BuildRequires:	giflib-devel
BuildRequires:	pkgconfig(libtiff-4)
BuildRequires:	pkgconfig(libjpeg)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(libwebp)
BuildRequires:	pkgconfig(zlib)

%description
Leptonica is open source software that is broadly useful for image processing
and image analysis applications.

Featured operations are:
 * Rasterop (a.k.a. bitblt)
 * Affine transformations (scaling, translation, rotation, shear) on images
   of arbitrary pixel depth
 * Binary and gray-scale morphology, rank order, and convolution
 * Seedfill and connected components
 * Image transformations combining changes in scale and pixel depth
 * Pixelwise masking, blending, enhancement, arithmetic ops, etc.

%package -n	%{liblept}
Summary:	C library for image processing and analysis
Group:		System/Libraries
Provides:	%{_lib}lept = %{version}-%{release}

%description -n	%{liblept}
Leptonica is open source software that is broadly useful for image processing
and image analysis applications.

Featured operations are:
 * Rasterop (a.k.a. bitblt)
 * Affine transformations (scaling, translation, rotation, shear) on images
   of arbitrary pixel depth
 * Binary and gray-scale morphology, rank order, and convolution
 * Seedfill and connected components
 * Image transformations combining changes in scale and pixel depth
 * Pixelwise masking, blending, enhancement, arithmetic ops, etc.

%package -n	%{devlept}
Summary:	Leptonica header files
Group:		System/Libraries
Provides:	%{name}-devel = %{version}-%{release}
Provides:	%{_lib}lept-devel = %{version}-%{release}
Obsoletes:	%{_lib}lept-devel < %{version}-%{release}
Requires:	%{liblept} = %{version}-%{release}

%description -n	%{devlept}
This package contains leptonica header files needed by developers.

%prep
%autosetup -p1

%build
%cmake -DBUILD_PROG:BOOL=%{?with_prog:ON}%{!?with_prog:OFF}
%cmake_build

%install
%cmake_install

%files
%license leptonica-license.txt
%{_bindir}/convertfilestopdf
%{_bindir}/convertfilestops
%{_bindir}/convertformat
%{_bindir}/convertsegfilestopdf
%{_bindir}/convertsegfilestops
%{_bindir}/converttopdf
%{_bindir}/converttops
%{_bindir}/fileinfo
%{_bindir}/imagetops
%{_bindir}/xtractprotos

%files -n %{liblept}
%doc leptonica-license.txt version-notes.html
%{_libdir}/libleptonica.so.%{major}{,.*}

%files -n %{devlept}
%{_includedir}/%{name}/
%{_libdir}/libleptonica.so
%{_libdir}/pkgconfig/lept.pc
%{_libdir}/cmake/%{name}/


%changelog
* Sun Nov 10 2024 barjac <barjac> 1.85.0-1.mga10
+ Revision: 2113543
- new version 1.85.0
  update Fedora patch

* Wed Jul 03 2024 daviddavid <daviddavid> 1.84.1-2.mga10
+ Revision: 2079428
- switch to cmake build system to getting cmake(leptonica)
- enable leptonica binary progs

* Mon Apr 29 2024 barjac <barjac> 1.84.1-1.mga10
+ Revision: 2061685
- new version 1.84.1

* Mon Feb 20 2023 barjac <barjac> 1.83.1-1.mga9
+ Revision: 1944350
- new version 1.83.1
- new Source0

* Tue Jan 31 2023 barjac <barjac> 1.83.0-2.mga9
+ Revision: 1937158
- add virtual provide for liblept

* Mon Jan 30 2023 barjac <barjac> 1.83.0-1.mga9
+ Revision: 1937045
- new version 1.83.0
- update files list
- new major

* Mon Dec 12 2022 ns80 <ns80> 1.82.0-3.mga9
+ Revision: 1921070
- rebuild for new libtiff

* Mon Mar 28 2022 umeabot <umeabot> 1.82.0-2.mga9
+ Revision: 1830543
- Mageia 9 Mass Rebuild

* Tue Oct 05 2021 barjac <barjac> 1.82.0-1.mga9
+ Revision: 1749598
- new version 1.82.0

* Wed Jun 09 2021 barjac <barjac> 1.81.0-1.mga9
+ Revision: 1730257
- new version 1.81.0

* Fri Jul 31 2020 daviddavid <daviddavid> 1.80.0-1.mga8
+ Revision: 1609950
- new version: 1.80.0

* Wed Feb 19 2020 umeabot <umeabot> 1.79.0-2.mga8
+ Revision: 1543033
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sat Jan 11 2020 barjac <barjac> 1.79.0-1.mga8
+ Revision: 1477598
- new version 1.79.0
- use autogen.sh
- update some rpm  macros
- add extra symlink from upstream

* Fri Mar 22 2019 daviddavid <daviddavid> 1.78.0-1.mga7
+ Revision: 1379524
- new version: 1.78.0

* Sun Dec 30 2018 luigiwalser <luigiwalser> 1.77.0-1.mga7
+ Revision: 1346618
- 1.77.0
- add patch from fedora to fix test failure

* Sun Sep 23 2018 umeabot <umeabot> 1.76.0-2.mga7
+ Revision: 1298733
- Mageia 7 Mass Rebuild

* Thu Jun 07 2018 barjac <barjac> 1.76.0-1.mga7
+ Revision: 1235234
- new version 1.76.0

* Thu Mar 15 2018 barjac <barjac> 1.75.3-1.mga7
+ Revision: 1209756
- new version 1.75.3

* Thu Feb 15 2018 barjac <barjac> 1.75.2-1.mga7
+ Revision: 1201525
- new version 1.75.2
- includes fix for CVE-2018-3836 (potential injection attack using gplot rootdir)

* Mon Jan 29 2018 barjac <barjac> 1.75.0-1.mga7
+ Revision: 1198050
- new version 1.75.0

* Mon Dec 11 2017 zezinho <zezinho> 1.74.4-1.mga7
+ Revision: 1182218
- new version

* Tue Jan 26 2016 barjac <barjac> 1.73-1.mga6
+ Revision: 927992
- new version 1.73
- new major

* Thu Jan 07 2016 luigiwalser <luigiwalser> 1.72-2.mga6
+ Revision: 920401
- rebuild for giflib
- add fix from omdv to fix build with giflib5

* Sun Sep 27 2015 barjac <barjac> 1.72-1.mga6
+ Revision: 884058
- new version 1.72

* Wed Oct 15 2014 umeabot <umeabot> 1.71-3.mga5
+ Revision: 743582
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.71-2.mga5
+ Revision: 681299
- Mageia 5 Mass Rebuild

* Mon Jun 30 2014 barjac <barjac> 1.71-1.mga5
+ Revision: 641681
- new version 1.71

* Mon Feb 17 2014 barjac <barjac> 1.70-1.mga5
+ Revision: 594015
- new version 1.70
- new major
- add lept.pc
- use find .. -delete for *.la

* Sat Oct 19 2013 umeabot <umeabot> 1.69-4.mga4
+ Revision: 526359
- Mageia 4 Mass Rebuild

* Mon Jun 03 2013 tv <tv> 1.69-3.mga4
+ Revision: 436778
- fix BR
- add missing BR (Pablo Saratxaga, mga#10411)

* Sat Jan 12 2013 umeabot <umeabot> 1.69-2.mga3
+ Revision: 356751
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild
+ boklm <boklm>
- Update group: Graphics/Other -> Graphics/Utilities

* Thu Oct 18 2012 barjac <barjac> 1.69-1.mga3
+ Revision: 307770
- New version
+ doktor5000 <doktor5000>
- imported package leptonica


* Sat Nov 05 2011 Andrey Smirnov <asmirnov@mandriva.org> 1.68-1mdv2012.0
+ Revision: 720806
- libpng15 compatibility fixed
- imported package leptonica

